### Constructor

# Gtk StringFilter new

#### Declaration [src]

    GtkStringFilter*
    gtk_string_filter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new string filter.

You will want to set up the filter by providing a string to search for and by providing a property to look up on the item.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkStringFilter`
| A new `GtkStringFilter`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.